plugins {
    java
}

group = "eu.mikroskeem.uurimustoo"
version = "1.0-SNAPSHOT"

java {
    sourceCompatibility = JavaVersion.VERSION_1_8
    targetCompatibility = JavaVersion.VERSION_1_8
}

repositories {
    mavenLocal()
    mavenCentral()

    maven {
        name = "wut-repo"
        setUrl("https://repo.wut.ee/repository/mikroskeem-repo/")
    }

    maven {
        name = "bintray-nitram509-jbrotli"
        setUrl("http://dl.bintray.com/nitram509/jbrotli")
    }
}

dependencies {
    compileOnly("org.projectlombok:lombok:1.16.16")

    compile("eu.mikroskeem:shuriken.instrumentation:0.0.1-SNAPSHOT")
    compile("io.github.lukehutch:fast-classpath-scanner:2.0.19")
    compile("org.apache.commons:commons-compress:1.13")
    compile("org.tukaani:xz:1.6")
    compile("net.jpountz.lz4:lz4:1.3.0")
    compile("com.github.luben:zstd-jni:1.1.4")
    compile("org.anarres.lzo:lzo-core:1.0.5")

    compile("org.meteogroup.jbrotli:jbrotli:0.5.0")
    compile("org.meteogroup.jbrotli:jbrotli-native-linux-x86-amd64:0.5.0")
    compile("org.meteogroup.jbrotli:jbrotli-native-win32-x86-amd64:0.5.0")
}

val jar by tasks.getting(Jar::class) {
    from(configurations["compile"].map<File, Any> { if(it.isDirectory) it else zipTree(it) })

    manifest {
        attributes(mapOf(Pair("Main-Class", "eu.mikroskeem.uurimustoo.algoritmidetest.Main")))
    }
}

val wrapper by tasks.creating(Wrapper::class) {
    gradleVersion = "4.5"
    distributionUrl = "https://services.gradle.org/distributions/gradle-$gradleVersion-all.zip"
}