package eu.mikroskeem.uurimustoo.algoritmidetest.algoritmid;

import lombok.Getter;
import org.apache.commons.compress.compressors.bzip2.BZip2CompressorInputStream;
import org.apache.commons.compress.compressors.bzip2.BZip2CompressorOutputStream;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Mark Vainomaa
 */
public class BZip2 extends AbstractAlgorithm {
    @Getter private final String name = "BZip2";

    @Override
    public OutputStream createCompressor(OutputStream outputStream) throws IOException {
        return new BZip2CompressorOutputStream(outputStream);
    }

    @Override
    public InputStream createDecompressor(InputStream inputStream) throws IOException {
        return new BZip2CompressorInputStream(inputStream);
    }
}
