package eu.mikroskeem.uurimustoo.algoritmidetest.algoritmid;

import lombok.Getter;
import org.apache.commons.compress.compressors.lzma.LZMACompressorInputStream;
import org.apache.commons.compress.compressors.lzma.LZMACompressorOutputStream;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Mark Vainomaa
 */
public class LZMA extends AbstractAlgorithm {
    @Getter private final String name = "LZMA";

    @Override
    public OutputStream createCompressor(OutputStream outputStream) throws IOException {
        return new LZMACompressorOutputStream(outputStream);
    }

    @Override
    public InputStream createDecompressor(InputStream inputStream) throws IOException {
        return new LZMACompressorInputStream(inputStream);
    }
}
