package eu.mikroskeem.uurimustoo.algoritmidetest.algoritmid;

import lombok.Getter;
import org.anarres.lzo.*;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Mark Vainomaa
 */
public class LZO extends AbstractAlgorithm {
    @Getter private final String name = "LZO";

    @Override
    public OutputStream createCompressor(OutputStream outputStream) throws IOException {
        LzoAlgorithm algorithm = LzoAlgorithm.LZO1X;
        LzoCompressor compressor = LzoLibrary.getInstance().newCompressor(algorithm, null);
        return new LzoOutputStream(outputStream, compressor, 256);
    }

    @Override
    public InputStream createDecompressor(InputStream inputStream) throws IOException {
        LzoAlgorithm algorithm = LzoAlgorithm.LZO1X;
        LzoDecompressor decompressor = LzoLibrary.getInstance().newDecompressor(algorithm, null);
        return new LzoInputStream(inputStream, decompressor);
    }
}
